Bug 37614 - (PCMCIA pcnet_cs)Kingmax PCMCIA ethernet card
Summary: (PCMCIA pcnet_cs)Kingmax PCMCIA ethernet card
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
(Show other bugs)
Version: 7.1
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Garzik
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-04-25 13:21 UTC by Need Real Name
Modified: 2013-07-03 02:04 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 15:38:58 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2001-04-25 13:21:19 UTC
I am using a Kingmax PCMCIA ethernet card.  When I install redhat 7.0, it 
work perfectly by specifing it to use pcnet_cs at interrupt 10.

However, after upgraded to redhat 7.1, my eth0 interface was not able to 
goes up anymore.

Comment 1 Arjan van de Ven 2001-04-25 13:27:35 UTC
Can you past the relevant logentries from /var/log/messages ?

Comment 2 Need Real Name 2001-04-28 17:20:30 UTC
I found that the kernel-pcmcia-cs package wasn't installed
I then manually install that particular package
The pcmcia card was not detected
I then manually change the /etc/sysconfig/pcmcia to use the i82365
After rebooting the machine, I can't hear the pcmcia card activation beep
I then run lsmod and I can't see the i82356
I run insmod i82365 manually, it complaint about unresolved symbol ...

Everytime I boot my machine, it said the /etc/modules.conf is newer than 
the /lib/modules/2.4.2-2/modules.dep, does it matter ?
I tried to touch the modules.dep file, however, it didn't help

The message.log file don't show anything but Delaying eth0 initialization

Any idea ?  Thanx.

Comment 3 Arjan van de Ven 2001-04-28 17:35:22 UTC
Can you give me the output of "lspci" ?
It might be that you have a cardbus adaptor and not a i82365 one.
I can tell by the lspci output.

Comment 4 Need Real Name 2001-04-28 17:47:22 UTC
But I use the i82356 driver in redhat 7.0 and it was fine

00:00.0 Host bridge: Intel Corporation 430TX - 82439TX MTXC (rev 01)
00:01.0 ISA bridge: Intel Corporation 82371AB PIIX4 ISA (rev 01)
00:01.1 IDE interface: Intel Corporation 82371AB PIIX4 IDE (rev 01)
00:01.2 USB Controller: Intel Corporation 82371AB PIIX4 USB (rev 01)
00:01.3 Bridge: Intel Corporation 82371AB PIIX4 ACPI (rev 01)
00:02.0 VGA compatible controller: Cirrus Logic GD 7556 Video/Graphics LCD/CRT 
Ctrlr
00:03.0 CardBus bridge: Texas Instruments PCI1131 (rev 01)
00:03.1 CardBus bridge: Texas Instruments PCI1131 (rev 01)


Comment 5 Arjan van de Ven 2001-04-28 18:08:58 UTC
"00:03.0 CardBus bridge: Texas Instruments PCI1131 (rev 01)"
This means you need to replace "i82365" by "yenta_socket" in the config-file.
7.0 had a i82365 driver that handled both 16bit (true i82365) and 32 bit
(cardbus) devices, for the 2.4 kernel (and thus 7.1), this is split in 2 
separate drivers. You have the 32 bit controller, and need the "yenta_socket"
driver.


Comment 6 Need Real Name 2001-05-05 14:23:27 UTC
Still the same, the eth0 cannot goes up and keep saying "Delaying eth0 ...".
How can I generate more debug info in log file so I can post here for 
reference ?

Comment 7 Alan Cox 2003-06-09 17:16:16 UTC
Is this still occuring with current errata kernels ?


Comment 8 Bugzilla owner 2004-09-30 15:38:58 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.